BookletSwitcher
InnerClasses
SSB_TRACE_POWER
SSB_TRACE_NODRAW
SSB_TRACE_START
SSB_TRACE_STOP
SSB_TRACE_PATH
SSB_TRACE_IMAGE
SSB_TRACE_USB_EXPORT
BAD_SWITCH_REASON
Ljava/lang/String;
ConstantValue
I
PASSWORD_ACCEPTED
PASSWORD_ABORTED
PASSWORD_FACTORY_RESET
Ljava/util/Map;
Ljava/awt/Image;
Z
Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;
Lcom/amazon/ebook/framework/impl/booklet/screensaver/USBWindow;
Lcom/amazon/ebook/framework/impl/booklet/screensaver/PasswordOverlay;
Ljava/lang/Object;
Ljava/lang/Boolean;
Ljava/lang/Class;
Synthetic
<init>
Code
LineNumberTable
LocalVariableTable
()V
delayUSBExport
(Z)Z
onPowerStateChange
event
state
reason
(I)Z
Ljava/awt/Rectangle;
()Z
(Z)V
initialize
create
go
drawPage
Ljava/awt/Graphics;
start
e
Ljava/lang/InterruptedException;
Ljava/util/ResourceBundle;
Action
pause
stop
shutdown
destroy
getMainWindow
()Ljava/awt/Container;
getName
()Ljava/lang/String;
t
r
()Ljava/awt/Image;
[Ljava/lang/String;
Ljava/lang/StringBuffer;
(Ljava/lang/String;)Ljava/util/Map;
i
[Ljava/io/File;
s
Ljava/util/Set;
Ljava/io/File;
([Ljava/lang/String;)I
incrementImageIndex
p
l
f
getKeyListener
()I
Lcom/amazon/ebook/framework/device/comm/CommunicationException;
(I)V
EventId
Ljava/lang/reflect/InvocationTargetException;
switchToLastBooklet
b
(Ljava/lang/String;)Ljava/lang/Class;
Ljava/lang/ClassNotFoundException;
<clinit>
SourceFile
java/lang/ClassNotFoundException
java/lang/NoClassDefFoundError
java/lang/Object
java/lang/String
Exporting USB drive
Aborting Password attempt, device is in sleep mode
onPowerStateChange() in password mode, ignoring
usb is plugged in
entering switchToLastBooklet()
exiting switchToLastBooklet()
Screensaver rejecting rotation change
java/lang/StringBuffer
setDonotDrawScreenSaver = 
create()
screensaver.enable.userdefined
false

init ScreenSaverBooklet
java/lang/InterruptedException
com/amazon/ebook/framework/gui/foundation/KWindow
start() reason DISPLAY_POWER_OFF.  Display blank screen.
start() reason DISPLAY_USB.  Display USB screen
start() reason ! DISPLAY_USB.  Display blank screen or screen saver
com.amazon.ebook.framework.impl.resources.ScreenSaverResources
display.off
screensaver.show
destroy()
getMainWindow()
main window is ssWindow
main window is usbWindow
ScreenSaverBooklet
Creating SS and USB windows and loading with first scrn svr image.
com/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow
com/amazon/ebook/framework/impl/booklet/screensaver/USBWindow
Creating SS and USB windows END
getScreenSaverImage()
No screen saver list, returning null image.
KEY is  
default
No screen saver list, returning null image. 
No user screen saver list, returning null image.
Failed
Created
found screens for language 
java/io/File
java/util/HashMap
findScreenSaverImages: count = 
 for 
Set up for next image
Password disabled
enterPassword() called
com/amazon/ebook/framework/impl/booklet/screensaver/PasswordOverlay
com.amazon.ebook.framework.impl.resources.PasswordResources
password.reset.to.factory.defaults
com/amazon/ebook/framework/device/comm/CommunicationException
Unable to deregister device before factory reset
switchToThisBooklet()
java/lang/Throwable
switchToThisBooklet()  reason is 
Cannot switch to Screen Saver. Cannot find booklet
switchToPowerBooklet
com.amazon.ebook.framework.impl.s
0
Already in SS booklet, ignoring.
last booklet is 
Got last booklet
java/lang/reflect/InvocationTargetException
Done switching booklets
switchToLastBooklet()
Not in SS booklet, ignoring.
ScreenSaver / Password
paused
filepath
BookletName
SWITCH_ERROR
SSImageNull
DeregistrationError
AbortPasswordAttempt
SwitchBooklet
ReturnScreenSaverWindow
ReturnUSBWindow
EnterPasswordState
/opt/amazon/screen_saver
/mnt/us/sleepscreens
java/lang/Class
forName
initCause
(Ljava/lang/Throwable;)Ljava/lang/Throwable;
java/lang/Boolean
toString
(Z)Ljava/lang/String;
java/lang/Integer
(I)Ljava/lang/String;
(Ljava/lang/String;)V
setVisible
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
(Z)Ljava/lang/StringBuffer;
com/amazon/ebook/framework/impl/Framework
(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
valueOf
(Ljava/lang/String;)Ljava/lang/Boolean;
booleanValue
(Ljava/lang/Runnable;Ljava/lang/String;)V
StartId
wait
(Z)Ljava/lang/Boolean;
getBookletContext
isVisible
()Ljava/awt/Rectangle;
setBounds
(Ljava/awt/Rectangle;)V
java/util/ResourceBundle
getBundle
(Ljava/lang/String;)Ljava/util/ResourceBundle;
StopId
(Lcom/amazon/ebook/framework/gui/foundation/KWindow;)V
java/awt/Rectangle
width
height
java/util/Map
size
get
(Ljava/lang/Object;)Ljava/lang/Object;
separator
length
equals
(Ljava/lang/Object;)Z
java/awt/Toolkit
getDefaultToolkit
()Ljava/awt/Toolkit;
createImage
(Ljava/lang/String;)Ljava/awt/Image;
(Ljava/lang/String;)Ljava/lang/String;
exists
isDirectory
listFiles
()[Ljava/io/File;
(Ljava/lang/String;)Z
indexOf
(I)I
list
()[Ljava/lang/String;
java/util/Arrays
sort
([Ljava/lang/Object;)V
put
(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
(I)Ljava/lang/StringBuffer;
keySet
()Ljava/util/Set;
java/util/Set
toArray
([Ljava/lang/Object;)[Ljava/lang/Object;
getAbsolutePath
(Lcom/amazon/ebook/framework/gui/overlays/Overlay;)V
getString
getWebServices
(ZZ)V
resetToFactoryDefaults
(Ljava/lang/Object;)Ljava/lang/StringBuffer;
java/awt/EventQueue
invokeAndWait
(Ljava/lang/Runnable;)V
(Ljava/lang/String;[Ljava/lang/String;)V
a
A
B
c
C
Lcom/amazon/ebook/framework/a;
d
D
E
F
g
G
h
H
j
Lcom/amazon/ebook/pl/service/g;
J
Lcom/amazon/ebook/pl/service/i;
k
Lcom/amazon/ebook/pl/service/l;
K
Lcom/amazon/ebook/framework/service/a;
Lcom/amazon/ebook/framework/b/a;
L
m
M
n
N
o
O
P
q
Q
R
S
T
u
U
Lcom/amazon/ebook/framework/gui/foundation/fb;
v
Lcom/amazon/ebook/util/b/e;
V
w
Lcom/amazon/ebook/util/b/i;
W
x
X
y
Y
z
aA
AA
bA
BA
cA
CA
dA
DA
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;I)Z
Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;)I
()Lcom/amazon/ebook/util/b/e;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;)V
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;)Lcom/amazon/ebook/framework/service/a;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;Ljava/util/Map;)Ljava/util/Map;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;)Ljava/lang/Object;
Lcom/amazon/ebook/framework/impl/booklet/screensaver/f;
Lcom/amazon/ebook/util/b/d;
Lcom/amazon/ebook/framework/b/a/a;
()Lcom/amazon/ebook/framework/a;
(Lcom/amazon/ebook/framework/a;)V
Lcom/amazon/ebook/framework/a/a;
Lcom/amazon/ebook/framework/service/b;
()Lcom/amazon/ebook/framework/gui/event/b;
(Lcom/amazon/ebook/framework/b/a/h;)V
Lcom/amazon/ebook/framework/b/a/h;
Lcom/amazon/ebook/framework/gui/foundation/ld;
(Lcom/amazon/ebook/framework/b/a/e;)V
Lcom/amazon/ebook/framework/b/a/e;
(Lcom/amazon/ebook/framework/gui/foundation/l;Ljava/awt/Graphics;)V
Lcom/amazon/ebook/framework/gui/foundation/l;
(Lcom/amazon/ebook/framework/b/a;)V
(ILcom/amazon/ebook/util/kgt/a;Ljava/awt/Rectangle;)V
Lcom/amazon/ebook/util/kgt/a;
(Lcom/amazon/ebook/pl/service/event/cb;)I
Lcom/amazon/ebook/pl/service/event/cb;
(Lcom/amazon/ebook/pl/a;)V
Lcom/amazon/ebook/pl/a;
com/amazon/ebook/framework/impl/booklet/screensaver/j
cec
com/amazon/ebook/framework/service/a/a
com/amazon/ebook/framework/device/a/b
com/amazon/ebook/pl/service/event/g
()Lcom/amazon/ebook/framework/gui/foundation/fb;
(Ljava/lang/String;)Lcom/amazon/ebook/util/b/e;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;Ljava/lang/String;)V
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
(Lcom/amazon/ebook/framework/b/a/a;)V
(Ljava/lang/String;)Lcom/amazon/ebook/framework/a;
(ILcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;)V
()Lcom/amazon/ebook/framework/service/comm/a;
()Lcom/amazon/ebook/framework/device/comm/ws/f;
()Lcom/amazon/ebook/framework/service/b;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;Lcom/amazon/ebook/framework/a/a;)V
(Ljava/lang/String;Lcom/amazon/ebook/util/b/e;)V
()Lcom/amazon/ebook/framework/b/a/a;
(Lcom/amazon/ebook/framework/gui/foundation/ld;)V
()Lcom/amazon/ebook/framework/service/media/j;
(Ljava/util/ResourceBundle;Ljava/lang/String;)Lcom/amazon/ebook/framework/gui/foundation/ld;
()Lcom/amazon/ebook/util/kgt/a;
()Lcom/amazon/ebook/util/kgt/b;
()Lcom/amazon/ebook/framework/gui/a;
()Lcom/amazon/ebook/framework/gui/c;
()Lcom/amazon/ebook/framework/b/a;
(Lcom/amazon/ebook/framework/service/a/a;)V
()Lcom/amazon/ebook/framework/service/e;
()Lcom/amazon/ebook/util/a/h;
()Lcom/amazon/ebook/util/c/e;
(Lcom/amazon/ebook/pl/service/event/g;)V
(Lcom/amazon/ebook/framework/device/a/b;)V
()Lcom/amazon/ebook/framework/service/a;
()Lcom/amazon/ebook/framework/impl/b/e;
()Lcom/amazon/ebook/framework/a/a;
()Lcom/amazon/ebook/pl/service/i;
()Lcom/amazon/ebook/pl/service/g;
()Lcom/amazon/ebook/pl/service/l;
com/amazon/ebook/framework/b/a/d
com/amazon/ebook/framework/gui/foundation/d
com/amazon/ebook/framework/a
com/amazon/ebook/pl/service/i
com/amazon/ebook/framework/service/comm/a
com/amazon/ebook/framework/device/comm/ws/f
com/amazon/ebook/framework/service/b
com/amazon/ebook/util/text/l
com/amazon/ebook/pl/service/g
com/amazon/ebook/framework/gui/foundation/fb
com/amazon/ebook/framework/b/a/g
com/amazon/ebook/framework/b/a/h
com/amazon/ebook/framework/service/media/j
com/amazon/ebook/util/kgt/a
com/amazon/ebook/util/kgt/b
com/amazon/ebook/framework/gui/c
com/amazon/ebook/framework/impl/s
com/amazon/ebook/framework/b/a/b
com/amazon/ebook/framework/b/a/e
com/amazon/ebook/framework/service/e
com/amazon/ebook/util/a/h
com/amazon/ebook/util/c/e
com/amazon/ebook/pl/service/l
com/amazon/ebook/framework/impl/b/e
com/amazon/ebook/pl/service/event/cb
com/amazon/ebook/util/b/e
com/amazon/ebook/framework/service/a
com/amazon/ebook/framework/a/a
com/amazon/ebook/framework/b/a
com/amazon/ebook/pl/a
com/amazon/ebook/framework/b/a/a
com/amazon/ebook/framework/gui/foundation/ld
com/amazon/ebook/framework/b/b
com/amazon/ebook/util/b/i
com/amazon/ebook/framework/impl/booklet/screensaver/f
com/amazon/ebook/framework/impl/booklet/screensaver/h
com/amazon/ebook/util/b/d
com/amazon/ebook/framework/impl/booklet/screensaver/i
com/amazon/ebook/framework/impl/device/t
